package com.example.data.database.tables

import org.jetbrains.exposed.v1.core.Table

object AddressTable: Table("user_address") {
    val id = long("address_id").autoIncrement()
    val address = varchar("address_full", 255)
    val entrance  = integer("address_entrance")
    val floor  = integer("address_floor")
    val apartment  = integer("address_apartment")
    val comment = text("address_comment")
    override val primaryKey: PrimaryKey = PrimaryKey(id)
}