package com.example.data.database.tables

import org.jetbrains.exposed.v1.core.Table

object OrderSetTable: Table("order_set") {
    val orderId = reference("order_id", OrderTable.orderId)
    val furnitureId = reference("furniture_id", FurnitureTable.id)
    val furniturePrice = decimal("furniture_price", 17, 2)
    val count = integer("order_set_count")
    override val primaryKey = PrimaryKey(orderId, furnitureId)
}