package com.example.data.database.tables

import org.jetbrains.exposed.v1.core.Table

object SaleTable: Table("sale") {
    val id = integer(name = "sales_id").autoIncrement()
    val name = varchar("sales_name", 255)
    val url = varchar("sales_url", 255)
    override val primaryKey: PrimaryKey = PrimaryKey(id)
}