package com.example.data.database.tables

import org.jetbrains.exposed.v1.core.Table

object ShopCategoryFurnitureTable: Table("shop_category_furniture") {
    val shopCategoryId = reference("shop_category_id", ShopCategoryTable.id)
    val furnitureId = reference("furniture_id", FurnitureTable.id)
    override val primaryKey: PrimaryKey = PrimaryKey(shopCategoryId, furnitureId)
}