package com.example.data.database.tables

import org.jetbrains.exposed.v1.core.Table

object UserTable: Table("user_table") {
    val uuid = uuid("user_uuid").autoGenerate()
    var email = varchar("user_email", 255)
    var password = varchar("user_password", 255)
    override val primaryKey: PrimaryKey = PrimaryKey(uuid)
}