package com.example.data.database.tables

import org.jetbrains.exposed.v1.core.Table

object WishlistTable: Table("wishlist") {
    val userUuid = reference("user_uuid", UserTable.uuid)
    val furnitureId = reference("furniture_id", FurnitureTable.id)
    override val primaryKey: PrimaryKey = PrimaryKey(userUuid, furnitureId)
}