package com.example.dto.response

import com.example.data.database.tables.AddressTable.integer
import com.example.data.database.tables.AddressTable.nullable
import com.example.data.database.tables.AddressTable.text
import kotlinx.serialization.Serializable

@Serializable
data class AddressResponse(
    val addressId: Long,
    val entrance: Int,
    val floor: Int,
    val apartment: Int,
    val comment: String,
    val address: String,
)