package com.example.route

import com.example.data.repository.SalesRepository
import io.ktor.http.*
import io.ktor.server.response.*
import io.ktor.server.routing.*


fun Route.saleRoute() {
    val salesRepository = SalesRepository()
    route("/sale") {
        get {
            val result = salesRepository.getAllSales()
            call.respond(HttpStatusCode.OK, result)
        }
    }
}