package com.example.data.database

import com.example.data.database.tables.*
import org.jetbrains.exposed.v1.jdbc.Database
import org.jetbrains.exposed.v1.jdbc.SchemaUtils
import org.jetbrains.exposed.v1.jdbc.transactions.transaction

object DatabaseSettings {

    val db by lazy {
        Database.connect(
            url = "jdbc:postgresql://db:5432/furnitureshop",
            driver = "org.postgresql.Driver",
            user = "postgres",
            password = "ejSLqVRmzGTrWbcA6PNpXC",
        )
    }
    fun initialize(){
        transaction(db = db) {
            SchemaUtils.create(
                UserTable,
                ProfileTable,
                AddressTable,
                FurnitureCategory,
                FurnitureTable,
                ShopCategoryTable,
                ShopCategoryFurnitureTable,
                CartTable,
                WishlistTable,
                SaleTable,
                OrderStatusTable,
                OrderTable,
                OrderSetTable,
            )
        }
    }
     suspend fun <T> dbQuery(block: () -> T): T = transaction(db = db) {
         return@transaction block()
     }

}