package com.example.data.database.tables

import org.jetbrains.exposed.v1.core.Table

object CartTable: Table("cart") {
    val userUuid = reference("user_uuid", UserTable.uuid)
    val furnitureId = reference("furniture_id", FurnitureTable.id)
    val count = integer("cart_count")
    override val primaryKey: PrimaryKey = PrimaryKey(userUuid, furnitureId)
}