package com.example.data.database.tables

import com.example.data.database.tables.ShopCategoryTable.autoIncrement
import com.example.data.database.tables.ShopCategoryTable.integer
import com.example.data.database.tables.ShopCategoryTable.varchar
import org.jetbrains.exposed.v1.core.Table
import org.jetbrains.exposed.v1.core.Table.PrimaryKey

object OrderStatusTable: Table("order_status") {
    val id = integer(name = "order_status_id").autoIncrement()
    val name = varchar("order_status_name", 255)
    override val primaryKey: PrimaryKey = PrimaryKey(id)
}