package com.example.data.repository

import com.example.data.database.DatabaseSettings
import com.example.data.database.tables.SaleTable
import com.example.data.database.toSaleResponse
import org.jetbrains.exposed.v1.jdbc.selectAll

class SalesRepository {
    suspend fun getAllSales() = DatabaseSettings.dbQuery {
        return@dbQuery SaleTable.selectAll().map { it.toSaleResponse() }
    }
}